# https://fedoraproject.org/wiki/Packaging/Debuginfo#Useless_or_incomplete_debuginfo_packages_due_to_other_reasons
%global debug_package %{nil}

Summary:	A brain teaser game and trainer to have fun and to keep your brain trained
Name:		gbrainy
Version:	2.4.6
Release:	%mkrel 2
License:	GPLv2+
Group:		Graphical desktop/GNOME
Url:		https://wiki.gnome.org/Apps/gbrainy
Source0:	https://gent.softcatala.org/jmas/%{name}/%{name}-%{version}.tar.gz
ExclusiveArch:	x86_64 %{ix86}
BuildRequires:	gnome-common
BuildRequires:	intltool
BuildRequires:	itstool
BuildRequires:	mono-devel
BuildRequires:	yelp-devel
BuildRequires:	pkgconfig(gtk-sharp-3.0)
BuildRequires:	pkgconfig(libcanberra-gtk3)
BuildRequires:	pkgconfig(librsvg-2.0)
BuildRequires:	pkgconfig(adwaita-icon-theme)

%description
gbrainy is a brain teaser game and trainer to have fun and to keep your brain
trained.

It provides the following types of games:
 * Logic puzzles. Games designed to challenge your reasoning and thinking
   skills.
 * Mental calculation. Games based on arithmetical operations designed to
   prove your mental calculation skills.
 * Memory trainers. Games designed to challenge your short term memory.
 * Verbal analogies. Games that challenge your verbal aptitude.

%prep
%setup -q
%autopatch -p1

#fix requires
sed -i \
  -e 's#libcanberra-gtk-3-0#libcanberra-gtk3#g' \
  configure.ac

%build
autoreconf -vfi
%configure \
	--disable-static \
	--bindir=%{_gamesbindir}
make

%install
%make_install

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%doc AUTHORS ChangeLog NEWS README
%{_gamesbindir}/%{name}
%{_libdir}/%{name}/
%{_datadir}/applications/*.desktop
%{_iconsdir}/hicolor/*/apps/*
%{_mandir}/man6/*
%{_datadir}/pixmaps/*
%{_datadir}/metainfo/%{name}.appdata.xml
%{_gamesdatadir}/%{name}/


%changelog
* Thu Jul 18 2024 papoteur <papoteur> 2.4.6-2.mga10
+ Revision: 2082064
- rebuild for mono

* Tue Jan 03 2023 daviddavid <daviddavid> 2.4.6-1.mga9
+ Revision: 1929454
- new version: 2.4.6

* Fri Apr 01 2022 umeabot <umeabot> 2.4.4-2.mga9
+ Revision: 1838989
- Mageia 9 Mass Rebuild

* Tue Jan 18 2022 mrambo3501 <mrambo3501> 2.4.4-1.mga9
+ Revision: 1768986
- version 2.4.4

* Thu Mar 04 2021 daviddavid <daviddavid> 2.4.3-1.mga9
+ Revision: 1697900
- new version: 2.4.3

* Sat Apr 11 2020 daviddavid <daviddavid> 2.4.2-1.mga8
+ Revision: 1566268
- new version: 2.4.2

* Sat Feb 15 2020 umeabot <umeabot> 2.4.1-2.mga8
+ Revision: 1526837
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Jul 03 2019 daviddavid <daviddavid> 2.4.1-1.mga8
+ Revision: 1417856
- new version: 2.4.1

* Thu Mar 21 2019 daviddavid <daviddavid> 2.4.0-1.mga7
+ Revision: 1379380
- new version: 2.4.0

* Sun Nov 25 2018 daviddavid <daviddavid> 2.3.9-1.mga7
+ Revision: 1333963
- new version: 2.3.9

* Fri Nov 02 2018 daviddavid <daviddavid> 2.3.8-1.mga7
+ Revision: 1327633
- new version: 2.3.8

* Fri Aug 24 2018 daviddavid <daviddavid> 2.3.5-1.mga7
+ Revision: 1253724
- new version: 2.3.5

* Sun Apr 22 2018 wally <wally> 2.3.4-1.mga7
+ Revision: 1220902
- new evrsion 2.3.4

* Sun Oct 01 2017 wally <wally> 2.3.2-1.mga7
+ Revision: 1162162
- new version 2.3.2

* Mon Jan 16 2017 alexl <alexl> 2.3.0-2.mga6
+ Revision: 1082107
- rebuild to fix BS issue

* Fri Aug 19 2016 wally <wally> 2.3.0-1.mga6
+ Revision: 1047059
- new version 2.3.0
- build only on x64_64 for now
- switch to gtk3 and drop mono-addins support
+ neoclust <neoclust>
- Fix build against new mono

* Wed Sep 09 2015 neoclust <neoclust> 2.2.5-2.mga6
+ Revision: 875178
- Fix build with new rpm ( empty debuginfo)

* Sun Jun 21 2015 wally <wally> 2.2.5-1.mga6
+ Revision: 837826
- new version 2.2.5

* Wed Oct 15 2014 umeabot <umeabot> 2.2.3-3.mga5
+ Revision: 744006
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.2.3-2.mga5
+ Revision: 679425
- Mageia 5 Mass Rebuild

* Sat Jul 12 2014 wally <wally> 2.2.3-1.mga5
+ Revision: 651441
- new version 2.2.3
- update URL

* Sat May 03 2014 wally <wally> 2.2.2-3.mga5
+ Revision: 619858
- add patch to build with adwaita-icon-theme
- drop pkgconfig file as there's no devel pkg
- move binary to %%gamesbindir

* Sun Oct 20 2013 umeabot <umeabot> 2.2.2-2.mga4
+ Revision: 536795
- Mageia 4 Mass Rebuild

* Tue Sep 24 2013 wally <wally> 2.2.2-1.mga4
+ Revision: 485603
- new version 2.2.2
- clean .spec
- imported package gbrainy


* Wed Dec 14 2011 Götz Waschk <waschk@mandriva.org> 1.65-2mdv2012.0
+ Revision: 740995
- rebuild for gtk+ packaging breakage

* Sun Apr 10 2011 Funda Wang <fwang@mandriva.org> 1.65-1
+ Revision: 652389
- New version 1.65

* Thu Nov 18 2010 Funda Wang <fwang@mandriva.org> 1.52-1mdv2011.0
+ Revision: 598535
- update to new version 1.52

* Mon Oct 11 2010 Funda Wang <fwang@mandriva.org> 1.51-2mdv2011.0
+ Revision: 584901
- rebuild

* Thu Sep 23 2010 Funda Wang <fwang@mandriva.org> 1.51-1mdv2011.0
+ Revision: 580730
- update to new version 1.51

* Tue Aug 24 2010 Sandro Cazzaniga <kharec@mandriva.org> 1.50-1mdv2011.0
+ Revision: 572595
- fix source0
- remove post & postun (too old)
- update to 1.50

* Sat Jul 17 2010 Funda Wang <fwang@mandriva.org> 1.42-1mdv2011.0
+ Revision: 554673
- update to new version 1.42

* Fri Apr 16 2010 Sandro Cazzaniga <kharec@mandriva.org> 1.41-1mdv2010.1
+ Revision: 535368
- up to 1.41

* Mon Mar 01 2010 Frederik Himpe <fhimpe@mandriva.org> 1.40-1mdv2010.1
+ Revision: 513157
- Update to new version 1.40

* Fri Feb 12 2010 Funda Wang <fwang@mandriva.org> 1.30-1mdv2010.1
+ Revision: 504505
- BR gnome-doc-utils
- new version 1.30

* Thu Nov 12 2009 Frederik Himpe <fhimpe@mandriva.org> 1.20-1mdv2010.1
+ Revision: 465275
- update to new version 1.20

* Sat Aug 22 2009 Frederik Himpe <fhimpe@mandriva.org> 1.12-1mdv2010.0
+ Revision: 419737
- update to new version 1.12

* Sun Jun 14 2009 Frederik Himpe <fhimpe@mandriva.org> 1.11-1mdv2010.0
+ Revision: 385900
- update to new version 1.11

* Sat Mar 14 2009 Frederik Himpe <fhimpe@mandriva.org> 1.1-2mdv2009.1
+ Revision: 354880
- BuildRequires mono-addins
- Update to new version 1.1

* Fri Dec 26 2008 Frederik Himpe <fhimpe@mandriva.org> 1.01-1mdv2009.1
+ Revision: 319318
- Fix BuildRequires
- update to new version 1.01

* Wed Sep 03 2008 Funda Wang <fwang@mandriva.org> 1.00-2mdv2009.0
+ Revision: 279411
- fix file list

* Mon Sep 01 2008 Frederik Himpe <fhimpe@mandriva.org> 1.00-1mdv2009.0
+ Revision: 278651
- Fix BuildRequires
- Update to version 1.00, adding config file to file list

* Fri Aug 22 2008 Funda Wang <fwang@mandriva.org> 0.70-2mdv2009.0
+ Revision: 275022
- rebuild
- fix br in order to backport

* Sat Jun 21 2008 Funda Wang <fwang@mandriva.org> 0.70-1mdv2009.0
+ Revision: 227757
- update to new version 0.70

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Tue Apr 15 2008 Funda Wang <fwang@mandriva.org> 0.61-1mdv2009.0
+ Revision: 193655
- BR gnome-sharp2-devel
- New version 0.61

* Sat Mar 08 2008 Funda Wang <fwang@mandriva.org> 0.60-1mdv2008.1
+ Revision: 182089
- New version 0.60

* Sun Feb 24 2008 Funda Wang <fwang@mandriva.org> 0.5.3-1mdv2008.1
+ Revision: 174264
- New version 0.53

* Fri Feb 08 2008 Funda Wang <fwang@mandriva.org> 0.5.2-1mdv2008.1
+ Revision: 164029
- New version 0.52

* Sun Jan 27 2008 Funda Wang <fwang@mandriva.org> 0.5.1-1mdv2008.1
+ Revision: 158577
- add missing file
- New version 0.51

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Nov 21 2007 Funda Wang <fwang@mandriva.org> 0.4.1-1mdv2008.1
+ Revision: 111010
- fix file list
- drop patch0
- New version 0.41

* Fri Nov 09 2007 Funda Wang <fwang@mandriva.org> 3mdv2008.1-current
+ Revision: 107078
- rebuild for new lzma

* Sun Oct 28 2007 Funda Wang <fwang@mandriva.org> 0.3-2mdv2008.1
+ Revision: 102721
- fix startup script (bug#35093)

* Fri Oct 26 2007 Funda Wang <fwang@mandriva.org> 0.3-1mdv2008.1
+ Revision: 102284
- More BR
- add filelist
- Import gbrainy
- create gbrainy

